List device messages

GET /api/v1/message_equipment_types

Returns a paged list of messages (event/error codes) linked to metering device types and archive types.

Query parameters

id integer

Metering unit identifier. Optional.

equipment_type_id integer

Metering device type identifier. Optional (filter by equipment type).

archive_type_id integer

Archive type identifier. Optional (filter by archive type).

page integer

Page number.

per_page integer

Number of records per page (default determined by the system).

Response fields

AttributeDescription
idIdentifier (unique key) of the message in the system
nameMessage name
descriptionMessage description
device_codeDevice message code
equipment_type_idIdentifier of the metering device configuration type (corrector configuration type key)
equipment_type_varnameString unique identifier of the metering device configuration type
referenceparameter_archive_type_idArchive type identifier
archive_type_varnameString unique identifier of the archive type
message_typical_idTypical message identifier
channel_idChannel identifier (unique key), null if not bound to a channel
channel_varnameChannel string identifier, null if not bound to a channel
dataArray of returned data
total_pagesTotal number of pages in the returned set
current_pageCurrent page
next_pageNext page available for downloading, null if the current page is the last one

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/message_equipment_types?equipment_type_id=11&page=1"

Response

Dernière mise à jour le

Cette page vous a-t-elle été utile ?